package cn.ibizlab.core.extensions.domain;

import cn.ibizlab.core.analysis.domain.DABuild;
import cn.ibizlab.core.analysis.domain.DAMetric;
import cn.ibizlab.core.lite.domain.DstDataSource;
import cn.ibizlab.core.lite.domain.DstSystem;
import cn.ibizlab.core.lite.domain.MetaModel;
import cn.ibizlab.core.lite.extensions.domain.EntityModel;
import cn.ibizlab.core.rule.domain.RuleItem;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class AssembleModel {
    private MetaModel metaModel;
    private List<RuleItem> ruleItems;
    private List<DABuild> daBuilds;
    private List<EntityModel> entityModels;
    private List<DAMetric> metrics;
    private List<DstDataSource> dataSources;
//    private List<DstSystem> systems;
}

